Subject: Servants of the Light Web Site [Monthly posting]

From: "Frater S.A." <[email-masked]>
Date: Wed, 20 Mar 1996 20:12:18 +0100

Servants of the Light is a fully contacted Mystery School teaching
through correspondence. We are registered as a non-profit organization
and have approximately 2600 students in 23 different countries.

Servants of the Light was founded in 1965 in England by the magician,
psychic and author W E Butler. He had been a student of Dion Fortune's
and a member of her Fraternity of Inner Light since its inception in the
1920's. His appointed successor, Dolores Ashcroft-Nowicki, is the
present Director of Studies.

The official S.O.L. Web site can be found at:

     http://www.algonet.se/~sol_swe

In L.V.X.
Servants of the Light